﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                {{Model.Name}} registrations
            </h1>
        </div>
        <div class="actions">
            <a class="action on-left-more margin-top10" data-toggle="tooltip" data-placement="bottom" title="View" target='_blank' href='{{Model.DisplayLink}}' jb-tooltip>
                <i class="jbi-show fg-black"></i>
            </a>
            <a ngaction='Offline_Register' class="action on-left-more margin-top10" data-toggle="tooltip" data-placement="bottom"
               ng-click="RegisterSomeOne(MC.stateParams.programId)" title="Register someone" jb-tooltip>
                <i class="jbi-check fg-black"></i>
            </a>
            <a class="action margin-top10" data-toggle="tooltip" ng-if="MC.isAllowedAction('Orders_EmailParticipant')" data-placement="bottom" title="Email participants" ng-click="MakeCampaign()" jb-tooltip>
                <i class="jbi-email fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div id="orders-header">
        <h3 class="place-left one-half jbi-people">Number of participants: {{OrderCount}}</h3>
        <h3 class="place-left one-half jbi-credit-card" ng-if="MC.isAllowedAction('TotalAmount_View')">Total amount: {{(TotalAmount).formatCurrencyWithPenny(2)}}</h3>
        <div class="clearfix"></div>
    </div>
    <div class="clearfix"></div>
    <hr />

    <form novalidate="" ng-submit="search()">
        <label for="searchTerm">Search</label>

        <div class="place-left input-control select one-third padding-right10">
            <select ng-model="filter.searchType" ng-change="filter.searchTerm = ''; filter.firstName=''; filter.lastName='';"
                    ng-options="obj.Value as obj.Text for obj in Model.SearchTypes"></select>
        </div>

        <div ng-show="filter.searchType != 'Name'" class="place-left input-control text two-third padding-right10">
            <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="searchTerm" type="search" name="SearchTerm" ng-model="searchTerm" placeholder="{{filter.searchType == 'Email'? 'Email': 'Confirmation ID'}}">
        </div>

        <div ng-show="filter.searchType == 'Name'" class="place-left input-control text two-third padding-right10">
            <div class="place-left input-control text one-half padding-right10">
                <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="firstName" type="search" ng-model="filter.firstName" placeholder="First name">
            </div>
            <div class="place-left input-control text one-half padding-right10">
                <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="lastName" type="search" ng-model="filter.lastName" placeholder="Last name">
            </div>
        </div>

        @*<div class="input-control text" data-role="input-control">
                <input id="searchTerm" type="text" ng-model="searchTerm" placeholder="Enter participant name, email or confirmation id">
            </div>*@
        <div class="place-left one-fifth padding-right20" ng-show="Model.TypeCategory=='Camp'">
            <label for="filter.scheduleId">Schedule</label>
            <div class="input-control select">
                <select id="filter.scheduleId" ng-change="scheduleChange()" ng-model="filter.scheduleId">
                    <option value='0'>All schedules</option>
                    <option value="{{schedule.Id}}" ng-repeat="schedule in Model.Schedules">{{schedule.Lable}}</option>
                </select>
            </div>
        </div>
        <div class="place-left padding-right20" ng-class="{'one-fifth':Model.TypeCategory=='Camp', 'one-fourth':Model.TypeCategory!='Camp'}">
            <label for="filter.entryFeeId">Tuition option</label>
            <div class="input-control select">
                <select id="filter.entryFeeId" ng-model="filter.entryFeeId" ng-init="filter.entryFeeId = '0'" ng-disabled="Model.TypeCategory=='Camp' && filter.scheduleId==0">
                    <option value='0'>All orders</option>
                    <option value="{{charge.Id}}" ng-repeat="charge in Model.ProgramCharges | chargeFilter:filter">{{charge.Name}}</option>
                </select>
            </div>
        </div>
        <div class="place-left padding-right20" ng-class="{'one-fifth':Model.TypeCategory=='Camp', 'one-fourth':Model.TypeCategory!='Camp'}">
            <label for="filter.statusReasonId">Status</label>
            <div class="input-control select">
                <select ng-model="filter.statusReasonId" 
                        ng-options="obj.Value as obj.Title for obj in Model.StatusReason"></select>
            </div>
        </div>
        <div class="place-left padding-right20" ng-class="{'one-fifth':Model.TypeCategory=='Camp', 'one-fourth':Model.TypeCategory!='Camp'}">
            <label for="filter.startDate">From</label>
            <div class="input-control date-time" data-role="input-control">
                <input id="filter.startDate" ng-model="filter.startDate" kendo-date-picker k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
            </div>
        </div>
        <div class="place-left" ng-class="{'one-fifth':Model.TypeCategory=='Camp', 'one-fourth':Model.TypeCategory!='Camp'}">
            <label for="filter.endDate">To</label>
            <div class="input-control date-time" data-role="input-control">
                <input id="filter.endDate" ng-model="filter.endDate" kendo-date-picker k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
            </div>
        </div>
        <!--chess search-->
        <div >
            <div ng-if="Model.TypeCategory=='ChessTournament'" class="place-left one-fourth padding-right20">
                <label for="filter.startDate">Chess schedule</label>
                <div class="input-control select" data-role="input-control">
                    <select ng-model="filter.chessSchedule">
                        <option value=''>All schedules</option>
                        <option ng-repeat="sc in Model.ChessSchedules" value="{{sc}}">{{sc}}</option>
                    </select>
                </div>
            </div>
            <div ng-if="Model.TypeCategory=='ChessTournament'" class="place-left one-fourth">
                <label for="filter.chessSection">Chess section</label>
                <div class="input-control select">
                    <select ng-model="filter.chessSection">
                        <option value=''>All sections</option>
                        <option ng-repeat="sc in Model.ChessSections" value="{{sc}}">{{sc}}</option>
                    </select>
                </div>
            </div>
        </div>

        <div class="clearfix"></div>
        <button class="button primary place-right" type="submit">Search</button>
        <button class="button link place-right on-left-more" type="button" ng-click="clearFilters()">Clear filters</button>
    </form>
    <div class="clearfix"></div>
    <br />
    <kendo-grid id="orderGrid" options="orderGridOptions"></kendo-grid>
    <div class="clearfix"></div>
</div>
